-- $Id: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/AI/BuildNonCombatForcesPlan.lua#2 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--  *****           **                          *                   *
--  *   **          *                           *                   *
--  *    *          *                           *                   *
--  *    *          *     *                 *   *          *        *
--  *   *     *** ******  * **  ****      ***   * *      * *****    * ***
--  *  **    *  *   *     **   *   **   **  *   *  *    * **   **   **   *
--  ***     *****   *     *   *     *  *    *   *  *   **  *    *   *    *
--  *       *       *     *   *     *  *    *   *   *  *   *    *   *    *
--  *       *       *     *   *     *  *    *   *   * **   *   *    *    *
--  *       **       *    *   **   *   **   *   *    **    *  *     *   *
-- **        ****     **  *    ****     *****   *    **    ***      *   *
--                                          *        *     *
--                                          *        *     *
--                                          *       *      *
--                                      *  *        *      *
--                                      ****       *       *
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O U R C E   C O D E -- D O   N O T   D I S T R I B U T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/AI/BuildNonCombatForcesPlan.lua $
--
--    Original Author: Steve_Copeland  ///////////Ovi_da_tiger
--
--            $Author: James_Yarrow $  ///////////Ovi_da_tiger
--
--            $Change: 45824 $
--
--          $DateTime: 2006/06/07 17:16:05 $
--
--          $Revision: #2 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("pgevents")

-- Tell the script pooling system to pre-cache this number of scripts.
ScriptPoolCount = 4

function Definitions()
	Category = "Build_NonCombat_Forces"
	IgnoreTarget = true
	
	--Experimental script that gets AI to build bounty hunter, smuglers, and probe droids
	TaskForce = {
	{
		"ReserveForce"
		,"DenyHeroAttach"
		,"NonCombatHero = 1,5"
		,"Smuggler_Team_E= 1,4"
		,"Smuggler_Team_R= 1,5"
		,"Probe_Droid_Team= 1,3"
		,"Bounty_Hunter_Team_E= 1,2"
		,"Bounty_Hunter_Team_R= 1,2"
	}
	}
	RequiredCategories = { "NonCombatHero" }
	AllowFreeStoreUnits = false
end

function ReserveForce_Thread()	
	ReserveForce.Set_As_Goal_System_Removable(false)
	BlockOnCommand(ReserveForce.Produce_Force())
	ReserveForce.Set_Plan_Result(true)
end
