-- $Id: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/AI/BuildGroundForcesPlan.lua#4 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--  *****           **                          *                   *
--  *   **          *                           *                   *
--  *    *          *                           *                   *
--  *    *          *     *                 *   *          *        *
--  *   *     *** ******  * **  ****      ***   * *      * *****    * ***
--  *  **    *  *   *     **   *   **   **  *   *  *    * **   **   **   *
--  ***     *****   *     *   *     *  *    *   *  *   **  *    *   *    *
--  *       *       *     *   *     *  *    *   *   *  *   *    *   *    *
--  *       *       *     *   *     *  *    *   *   * **   *   *    *    *
--  *       **       *    *   **   *   **   *   *    **    *  *     *   *
-- **        ****     **  *    ****     *****   *    **    ***      *   *
--                                          *        *     *
--                                          *        *     *
--                                          *       *      *
--                                      *  *        *      *
--                                      ****       *       *
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O U R C E   C O D E -- D O   N O T   D I S T R I B U T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/AI/BuildGroundForcesPlan.lua $
--
--    Original Author: James Yarrow
--
--            $Author: James_Yarrow $
--
--            $Change: 56727 $
--
--          $DateTime: 2006/10/24 14:14:26 $
--
--          $Revision: #4 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("pgevents")

-- Tell the script pooling system to pre-cache this number of scripts.
ScriptPoolCount = 7

function Definitions()
	Category = "Build_Ground_Forces"
	IgnoreTarget = true
	
	TaskForce = {
	{
		"ReserveForce"
		,"Infantry = 1,10"
		,"Vehicle = 1,5"
		,"Air = 1,5"
                ,"LandHero = 1,3"
		,"F9TZ_Cloaking_Transport_Company = 0,1"
		,"HAV_Juggernaut_Company = 0,1"
		,"Gallofree_HTT_Company = 0,1"
		,"Field_Com_Rebel_Team = 1,3"
		,"Field_Com_Empire_Team = 1,3"
		,"Night_Sister_Company = 1,3"
		,"-Smuggler_Team_E"
		,"-Smuggler_Team_R"
		,"-Probe_Droid_Team"
		,"-Bounty_Hunter_Team_E"
		,"-Bounty_Hunter_Team_R"
		,"-Fleet_Com_Rebel_Team"
                ,"-Fleet_Com_Empire_Team"
	}
	}
	RequiredCategories = { "Vehicle" }
	AllowFreeStoreUnits = false
end

function ReserveForce_Thread()		
	ReserveForce.Set_As_Goal_System_Removable(false)
	BlockOnCommand(ReserveForce.Produce_Force())
	ReserveForce.Set_Plan_Result(true)	
end
