-- $Id: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/GameObject/DeathStarPlan.lua#1 $
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
-- (C) Petroglyph Games, Inc.
--
--
--  *****           **                          *                   *
--  *   **          *                           *                   *
--  *    *          *                           *                   *
--  *    *          *     *                 *   *          *        *
--  *   *     *** ******  * **  ****      ***   * *      * *****    * ***
--  *  **    *  *   *     **   *   **   **  *   *  *    * **   **   **   *
--  ***     *****   *     *   *     *  *    *   *  *   **  *    *   *    *
--  *       *       *     *   *     *  *    *   *   *  *   *    *   *    *
--  *       *       *     *   *     *  *    *   *   * **   *   *    *    *
--  *       **       *    *   **   *   **   *   *    **    *  *     *   *
-- **        ****     **  *    ****     *****   *    **    ***      *   *
--                                          *        *     *
--                                          *        *     *
--                                          *       *      *
--                                      *  *        *      *
--                                      ****       *       *
--
--/////////////////////////////////////////////////////////////////////////////////////////////////
-- C O N F I D E N T I A L   S O U R C E   C O D E -- D O   N O T   D I S T R I B U T E
--/////////////////////////////////////////////////////////////////////////////////////////////////
--
--              $File: //depot/Projects/StarWars_Expansion/Run/Data/Scripts/GameObject/DeathStar2Plan.lua $
--
--    Original Author: Steve_Copeland
--
--            $Author: ovi_da_tiger $
--
--            $Change: 37816 $
--
--          $DateTime: 2006/02/15 15:33:33 $
--
--          $Revision: #1 $
--
--/////////////////////////////////////////////////////////////////////////////////////////////////

require("PGStateMachine")

function Definitions()

	ServiceRate = 1

	ability_range = 20000
	ability_name = "SUPER_LASER"

function State_Init(message)

	if message == OnEnter then
	
		if Object.Get_Owner().Is_Human() then
			ScriptExit()
		end
		
		if Get_Game_Mode() ~= "Space" then
			ScriptExit()
		end
		
		nearby_units = {}

	elseif message == OnUpdate then
	
		if Object.Is_Ability_Ready("ability_name") then
			AITarget = FindTarget(MainForce, "Needs_Hypervelocity_Shot", "Enemy_Unit", 1.0)
			
                        if TestValid(AITarget) and MainForce.Get_Distance(AITarget) < ability_range then
				Object.Activate_Ability(ability_name, AITarget)
			end
			
			-- Rely on the Weapon Online event to fire the gun subsequent times
	                while TestValid(AITarget) do
		              Sleep(5)
                        end

	                   ScriptExit()
		end

		nearby_units = {}
	end
end

